﻿angular.module('storage', [])

.factory('localStorage', function ($window) {
    return {
        setItem: function (key, data) {
            $window.localStorage.setItem(key, angular.toJson(data));
            return true;
        },
        getItem: function (key) {
            return JSON.parse($window.localStorage.getItem(key));
        },
        removeItem: function (key) {
            $window.localStorage.removeItem(key);
            return true;
        },
        clear: function () {
            $window.localStorage.clear();
            return true;
        }
    };
})
